# Generated from rbt-0.6.165.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rbt

Name: rubygem-%{gem_name}
Version: 0.6.165
Release: 1%{?dist}
Summary: This gem is called RBT, which is an abbreviation for "Ruby Build Tools".  Essentially, this project is a collection of different ruby scripts/classes that may aid in the process of compiling or installing programs from source, but also allow installation from binary, from a remote or from a local location (e. g. a file in a directory on the local harddisc/SSD).  There are presently 3605 registered programs available in the RBT project.  For more information about the project, have a look at the documentation, which can be found at the bottom right side on the homepage of this gem ( or simply visit the following link: http://www.rubydoc.info/gems/rbt/ )
License: GPL-2.0
URL: https://www.rubydoc.info/gems/rbt/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 3.0.3
BuildRequires: ruby >= 2.6.3
BuildArch: noarch

%description
This gem is called RBT, which is an abbreviation for "Ruby Build Tools".
Essentially, this project is a collection of different ruby scripts/classes
that may aid in the process of compiling or installing programs from source,
but also allow installation from binary, from a remote or from a local
location (e. g. a file in a directory on the local harddisc/SSD).
There are presently 3605 registered
programs available in the RBT project.
For more information about the project, have a look at the documentation,
which can be found at the bottom right side on the homepage of this
gem ( or simply visit the following link: http://www.rubydoc.info/gems/rbt/ )
.
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/autoupdate_this_program
%{_bindir}/binary_of
%{_bindir}/blfs
%{_bindir}/colour_make
%{_bindir}/colour_make_install
%{_bindir}/compile_these_programs
%{_bindir}/compile_via_appdir_prefix_without_symlinking
%{_bindir}/cookbooks
%{_bindir}/create_new_cookbook
%{_bindir}/create_program
%{_bindir}/find_alternative_archive
%{_bindir}/home_dir
%{_bindir}/home_dir_without_symlinking
%{_bindir}/homepage
%{_bindir}/infobox
%{_bindir}/ntrad
%{_bindir}/parse_help
%{_bindir}/rbt
%{_bindir}/rbt_config
%{_bindir}/rbt_download
%{_bindir}/rbt_make
%{_bindir}/rbt_test_alias
%{_bindir}/remove_symlinks
%{_bindir}/report_total_size_of_all_archives
%{_bindir}/ruby_libtool
%{_bindir}/scookie
%{_bindir}/search_for_tags
%{_bindir}/show_all_about
%{_bindir}/show_configuration_options
%{_bindir}/suggest_cookbook_for
%{_bindir}/symlink_this_program
%{_bindir}/to_current
%{_bindir}/url_action
%{gem_instdir}/bin
%{gem_instdir}/img
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/doc
%{gem_instdir}/rbt.gemspec
%{gem_instdir}/test

%changelog
* Thu Jul 11 2019 mockbuilder - 0.6.165-1
- Initial package
